Bug 914942 - [abrt] gnome-shell-3.7.90-1.fc19: g_str_hash: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
Summary: [abrt] gnome-shell-3.7.90-1.fc19: g_str_hash: Process /usr/bin/gnome-shell wa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:38c152538aece4f7526bd9a794b...
Depends On:
Blocks: F19-accepted, F19FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-02-23 16:27 UTC by sangu
Modified: 2013-06-26 04:29 UTC (History)
24 users (show)

Fixed In Version: gtk3-3.8.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-26 04:29:21 UTC


Attachments (Terms of Use)
File: backtrace (173.12 KB, text/plain)
2013-02-23 16:27 UTC, sangu
no flags Details
File: cgroup (128 bytes, text/plain)
2013-02-23 16:27 UTC, sangu
no flags Details
File: core_backtrace (15.55 KB, text/plain)
2013-02-23 16:27 UTC, sangu
no flags Details
File: dso_list (24.19 KB, text/plain)
2013-02-23 16:27 UTC, sangu
no flags Details
File: environ (1.26 KB, text/plain)
2013-02-23 16:27 UTC, sangu
no flags Details
File: limits (1.29 KB, text/plain)
2013-02-23 16:27 UTC, sangu
no flags Details
File: maps (120.81 KB, text/plain)
2013-02-23 16:27 UTC, sangu
no flags Details
File: open_fds (4.15 KB, text/plain)
2013-02-23 16:28 UTC, sangu
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-02-23 16:28 UTC, sangu
no flags Details
File: var_log_messages (20.78 KB, text/plain)
2013-02-23 16:28 UTC, sangu
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 694755 None None None Never

Description sangu 2013-02-23 16:27:40 UTC
Description of problem:
Click activities -> gnome-shell crashes

Version-Release number of selected component:
gnome-shell-3.7.90-1.fc19

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_str_hash
executable:     /usr/bin/gnome-shell
kernel:         3.8.0-2.fc19.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1732
 #1 icon_info_key_hash at gtkicontheme.c:391
 #2 g_hash_table_lookup_node at ghash.c:365
 #3 g_hash_table_lookup at ghash.c:1076
 #4 choose_icon at gtkicontheme.c:1608
 #5 st_texture_cache_load_gicon at /usr/lib64/gnome-shell/libgnome-shell.so
 #6 st_icon_update at /usr/lib64/gnome-shell/libgnome-shell.so
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 st_widget_recompute_style at /usr/lib64/gnome-shell/libgnome-shell.so
 #11 clutter_actor_set_mapped at ./clutter-actor.c:1244

Comment 1 sangu 2013-02-23 16:27:43 UTC
Created attachment 701658 [details]
File: backtrace

Comment 2 sangu 2013-02-23 16:27:47 UTC
Created attachment 701659 [details]
File: cgroup

Comment 3 sangu 2013-02-23 16:27:49 UTC
Created attachment 701660 [details]
File: core_backtrace

Comment 4 sangu 2013-02-23 16:27:51 UTC
Created attachment 701661 [details]
File: dso_list

Comment 5 sangu 2013-02-23 16:27:54 UTC
Created attachment 701662 [details]
File: environ

Comment 6 sangu 2013-02-23 16:27:55 UTC
Created attachment 701663 [details]
File: limits

Comment 7 sangu 2013-02-23 16:27:58 UTC
Created attachment 701664 [details]
File: maps

Comment 8 sangu 2013-02-23 16:28:00 UTC
Created attachment 701665 [details]
File: open_fds

Comment 9 sangu 2013-02-23 16:28:02 UTC
Created attachment 701666 [details]
File: proc_pid_status

Comment 10 sangu 2013-02-23 16:28:05 UTC
Created attachment 701667 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2013-04-03 16:41:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 12 Jacob Hunt 2013-04-11 03:58:13 UTC
This issue happened when I first logged into gnome.  I pressed the "windows" key to start up a term and once I pressed the key gnome's background went black everything halted for a few seconds and then gnome was restarted.

backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_str_hash
executable:     /usr/bin/gnome-shell
kernel:         3.9.0-0.rc6.git0.1.fc19.x86_64
package:        gnome-shell-3.8.0.1-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            12360
ureports_counter: 1

Comment 13 Vadim Rutkovsky 2013-04-11 11:22:17 UTC
Crashed after installing glade via yum

backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_str_hash
executable:     /usr/bin/gnome-shell
kernel:         3.9.0-0.rc6.git0.1.fc19.x86_64
package:        gnome-shell-3.8.0.1-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
ureports_counter: 1

Comment 14 sangu 2013-04-24 10:44:41 UTC
This issue still happens in gnome-shell-3.8.1-1.fc18

Comment 15 D. Charles Pyle 2013-04-25 10:05:09 UTC
And it is happening repeatedly in gnome-shell-3.8.1-1.fc19.x86_64.  It is happening every ten to twenty minutes to me but abrt will not report it as it already has been reported.

Comment 16 sam 2013-04-28 02:39:42 UTC
Mientras desbloqueaba el sistema

backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_str_hash
executable:     /usr/bin/gnome-shell
kernel:         3.9.0-0.rc6.git2.3.fc19.x86_64
package:        gnome-shell-3.8.0.1-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
ureports_counter: 1

Comment 17 sangu 2013-04-29 09:40:36 UTC
Please apply patch in https://bugzilla.gnome.org/show_bug.cgi?id=696720#c4 for this bug.

Comment 18 Donato 2013-05-22 09:57:08 UTC
I met this problem with last gnome shell available?
gnome-shell-3.8.2-2.fc19.x86_64

Is it a regression or another problem?

Comment 19 sangu 2013-05-23 00:37:03 UTC
This issue still happens in gnome-shell-3.8.2-2.fc19.x86_64
After updating gnome-photos package, click super key -> gnome-shell crashes.
see also : https://bugzilla.gnome.org/show_bug.cgi?id=694755#c9

Comment 20 Nathanael Noblet 2013-05-31 00:59:19 UTC
I hit the 'windows' key to get the activies overview.

reporter:       libreport-2.1.4
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: g_str_hash
executable:     /usr/bin/gnome-shell
kernel:         3.9.2-301.fc19.x86_64
package:        gnome-shell-3.8.2-3.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000

Comment 21 Wellington Poi 2013-06-05 13:20:46 UTC
The same happened here with gnome-shell-3.8.2-3.fc19 and kernel 3.9.4-300.fc19.x86_64 when hit super key.

Comment 22 Fedora Update System 2013-06-19 20:32:19 UTC
gtk3-3.8.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gtk3-3.8.2-2.fc19

Comment 23 D. Charles Pyle 2013-06-19 22:26:42 UTC
I get the following when I try to update.  When I try to update both x86 and x86_64 at once:

Transaction check error:
  file /usr/share/gir-1.0/Gtk-3.0.gir conflicts between attempted installs of gtk3-devel-3.8.2-2.fc19.i686 and gtk3-devel-3.8.2-2.fc19.x86_64

When I try to update only x86_64:

Error: Package: webkitgtk3-2.0.3-1.fc19.i686 (@updates-testing)
           Requires: libgailutil-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgailutil-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgailutil-3.so.0
Error: Package: webkitgtk3-2.0.3-1.fc19.i686 (@updates-testing)
           Requires: libgtk-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgtk-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgtk-3.so.0
Error: Package: libgnome-media-profiles-3.0.0-6.fc19.i686 (@fedora)
           Requires: libgtk-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgtk-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgtk-3.so.0
Error: Package: PackageKit-gtk3-module-0.8.9-5.fc19.i686 (@updates-testing)
           Requires: libgdk-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgdk-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgdk-3.so.0
Error: Package: libwebkit2gtk-2.0.3-1.fc19.i686 (@updates-testing)
           Requires: libgdk-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgdk-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgdk-3.so.0
Error: Package: libcanberra-gtk3-0.30-3.fc19.i686 (@fedora)
           Requires: libgdk-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgdk-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgdk-3.so.0
Error: Package: libwebkit2gtk-2.0.3-1.fc19.i686 (@updates-testing)
           Requires: libgtk-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgtk-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgtk-3.so.0
Error: Package: libwebkit2gtk-2.0.3-1.fc19.i686 (@updates-testing)
           Requires: libgailutil-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgailutil-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgailutil-3.so.0
Error: Package: webkitgtk3-2.0.3-1.fc19.i686 (@updates-testing)
           Requires: libgdk-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgdk-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgdk-3.so.0
Error: Package: PackageKit-gtk3-module-0.8.9-5.fc19.i686 (@updates-testing)
           Requires: libgtk-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgtk-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgtk-3.so.0
Error: Package: libgnome-media-profiles-3.0.0-6.fc19.i686 (@fedora)
           Requires: libgdk-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgdk-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgdk-3.so.0
Error: Package: libcanberra-gtk3-0.30-3.fc19.i686 (@fedora)
           Requires: libgtk-3.so.0
           Removing: gtk3-3.8.2-1.fc19.i686 (@updates-testing)
               libgtk-3.so.0
           Updated By: gtk3-3.8.2-2.fc19.x86_64 (/gtk3-3.8.2-2.fc19.x86_64)
               Not found
           Available: gtk3-3.8.1-1.fc19.i686 (updates-testing)
               libgtk-3.so.0
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 24 Fedora Update System 2013-06-20 18:03:27 UTC
Package gtk3-3.8.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.8.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11357/gtk3-3.8.2-2.fc19
then log in and leave karma (feedback).

Comment 25 Kalev Lember 2013-06-21 17:57:38 UTC
Proposing as a F19 Final Freeze Exception.

While this doesn't qualify as a release blocker, it would be nice to have the fix in the base repo to avoid crashes when applying 0-day updates.

The issue was causing GNOME Shell crashes after installing / updating packages. In some circumstances, it could lead to duplicate entries in the rpm db if the crash occurs during a yum transaction.

(Note that in most cases, gnome-shell gets automatically spawned again after a crash, so it should be able to recover from a single crash.)

Comment 26 Adam Williamson 2013-06-21 19:12:26 UTC
+1 FE for sure. Other votes?

Comment 27 Dan Mashal 2013-06-21 19:16:34 UTC
+1

Comment 28 Kevin Fenzi 2013-06-21 19:18:40 UTC
+1 FE

Comment 29 Adam Williamson 2013-06-24 18:29:31 UTC
Discussed at 2013-06-24 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-24/f19final-blocker-review-8.2013-06-24-16.00.log.txt . Accepted as a freeze exception issue as this is a crasher in a critpath component (Shell) which seems commonly encountered and could certainly show up on the live images.

Comment 30 Fedora Update System 2013-06-26 04:29:21 UTC
gtk3-3.8.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.